package com.rjconsultores.ventaboletos.utilerias.exportacaofiscal.vo;

import java.math.BigDecimal;

public class ExportacaoRMDTipoBPS {
	private Integer codigoEstabelecimento;
	private String especie;
	private Long numeroAIDF;
	private String serieAIDF;
	private String subSerieAIDF;
	private Long numeroInicial;
	private Long numeroFinal;
	private Integer quantidadeCancelados;
	private String dataEmissao;
	private BigDecimal valorTotal; 
	private Boolean resumoMovimentoDiario;
	private Long numeroAIDFRMD;
	private String serieAIDFRMD;
	private String subSerieAIDFRMD;
	private Integer numeroRMD;
	private Integer quantidadeTotal;

	public ExportacaoRMDTipoBPS() {
		
	}

	public Integer getCodigoEstabelecimento() {
		return codigoEstabelecimento;
	}

	public void setCodigoEstabelecimento(Integer codigoEstabelecimento) {
		this.codigoEstabelecimento = codigoEstabelecimento;
	}

	public String getEspecie() {
		return especie;
	}

	public void setEspecie(String especie) {
		this.especie = especie;
	}

	public Long getNumeroAIDF() {
		return numeroAIDF;
	}

	public void setNumeroAIDF(Long numeroAIDF) {
		this.numeroAIDF = numeroAIDF;
	}

	public String getSerieAIDF() {
		return serieAIDF;
	}

	public void setSerieAIDF(String serieAIDF) {
		this.serieAIDF = serieAIDF;
	}

	public String getSubSerieAIDF() {
		return subSerieAIDF;
	}

	public void setSubSerieAIDF(String subSerieAIDF) {
		this.subSerieAIDF = subSerieAIDF;
	}

	public Long getNumeroInicial() {
		return numeroInicial;
	}

	public void setNumeroInicial(Long numeroInicial) {
		this.numeroInicial = numeroInicial;
	}

	public Long getNumeroFinal() {
		return numeroFinal;
	}

	public void setNumeroFinal(Long numeroFinal) {
		this.numeroFinal = numeroFinal;
	}

	public Integer getQuantidadeCancelados() {
		return quantidadeCancelados;
	}

	public void setQuantidadeCancelados(Integer quantidadeCancelados) {
		this.quantidadeCancelados = quantidadeCancelados;
	}

	public String getDataEmissao() {
		return dataEmissao;
	}

	public void setDataEmissao(String dataEmissao) {
		this.dataEmissao = dataEmissao;
	}

	public BigDecimal getValorTotal() {
		return valorTotal;
	}

	public void setValorTotal(BigDecimal valorTotal) {
		this.valorTotal = valorTotal;
	}

	public Boolean getResumoMovimentoDiario() {
		return resumoMovimentoDiario;
	}

	public void setResumoMovimentoDiario(Boolean resumoMovimentoDiario) {
		this.resumoMovimentoDiario = resumoMovimentoDiario;
	}

	public Long getNumeroAIDFRMD() {
		return numeroAIDFRMD;
	}

	public void setNumeroAIDFRMD(Long numeroAIDFRMD) {
		this.numeroAIDFRMD = numeroAIDFRMD;
	}

	public String getSerieAIDFRMD() {
		return serieAIDFRMD;
	}

	public void setSerieAIDFRMD(String serieAIDFRMD) {
		this.serieAIDFRMD = serieAIDFRMD;
	}

	public String getSubSerieAIDFRMD() {
		return subSerieAIDFRMD;
	}

	public void setSubSerieAIDFRMD(String subSerieAIDFRMD) {
		this.subSerieAIDFRMD = subSerieAIDFRMD;
	}

	public Integer getNumeroRMD() {
		return numeroRMD;
	}

	public void setNumeroRMD(Integer numeroRMD) {
		this.numeroRMD = numeroRMD;
	}

	public Integer getQuantidadeTotal() {
		return quantidadeTotal;
	}

	public void setQuantidadeTotal(Integer quantidadeTotal) {
		this.quantidadeTotal = quantidadeTotal;
	}

	@Override
	public String toString() {
		return "ExportacaoRMDTipoBPS [codigoEstabelecimento=" + codigoEstabelecimento + ", especie=" + especie + ", numeroAIDF=" + numeroAIDF + ", serieAIDF=" + serieAIDF + ", subSerieAIDF=" + subSerieAIDF + ", numeroInicial=" + numeroInicial + ", numeroFinal=" + numeroFinal + ", quantidadeCancelados=" + quantidadeCancelados + ", dataEmissao=" + dataEmissao + ", valorTotal=" + valorTotal + ", resumoMovimentoDiario=" + resumoMovimentoDiario + ", numeroAIDFRMD=" + numeroAIDFRMD + ", serieAIDFRMD=" + serieAIDFRMD + ", subSerieAIDFRMD=" + subSerieAIDFRMD + ", numeroRMD=" + numeroRMD + "]";
	}
}
